import request from '@/utils/request'

// 查询应出勤报列表
export function listRequireAttendanceReport(query) {
  return request({
    url: '/pay/requireAttendanceReport/list',
    method: 'get',
    params: query
  })
}

// 查询应出勤报详细
export function getRequireAttendanceReport(id) {
  return request({
    url: '/pay/requireAttendanceReport/' + id,
    method: 'get'
  })
}

// 新增应出勤报
export function addRequireAttendanceReport(data) {
  return request({
    url: '/pay/requireAttendanceReport',
    method: 'post',
    data: data
  })
}

// 修改应出勤报
export function updateRequireAttendanceReport(data) {
  return request({
    url: '/pay/requireAttendanceReport',
    method: 'put',
    data: data
  })
}

// 删除应出勤报
export function delRequireAttendanceReport(id) {
  return request({
    url: '/pay/requireAttendanceReport/' + id,
    method: 'delete'
  })
}
